# QEventTransition Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractTransition.

### Constructor

- void QEventTransition(QObject object, Type type, QState sourceState)
- void QEventTransition(QState sourceState)

### Constructor Properties

- prototype: The QEventTransition prototype object

### Instance Properties

QEventTransition objects inherit properties from the QEventTransition prototype object and also have the following properties.

- eventSource
- eventType